std::__detail::_List_node_base Struct Reference
Inheritance diagram for std::__detail::_List_node_base:
[legend]

## Public Member Functions

void | _M_hook (_List_node_base *const __position) noexcept
void | _M_reverse () noexcept
void | _M_transfer (_List_node_base *const __first, _List_node_base *const __last) noexcept
void | _M_unhook () noexcept

## Static Public Member Functions

static void | swap (_List_node_base &__x, _List_node_base &__y) noexcept

## Public Attributes

_List_node_base * | _M_next
_List_node_base * | _M_prev

## Detailed Description

Common part of a node in the list.

Definition at line 77 of file stl_list.h.

The documentation for this struct was generated from the following file:

- stl_list.h